Subject: bug#42052: 28.0.50; tab-bar-mode should be frame-local

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Jul 2020 03:01:15 +0300

> For this particular case though, I don't know if it's completely
> necessary: The functions that are bound to keys here silently do nothing
> if there's only one tab and the bindings don't get added if there are
> other bindings for those keys, so as far as I can tell, it shouldn't
> really make a difference whether or not the bindings are active when the
> tab bar isn't visible.

The answer depends on another question: why bother unsetting tab-bar keys
while disabling tab-bar-mode globally?  I mean the lines in tab-bar-mode
after ";; Unset only keys bound by tab-bar".  Maybe it's useful to make the
keybindings space cleaner?

PS: please see the bug report sent yesterday to emacs-devel at
https://lists.gnu.org/archive/html/emacs-devel/2020-07/msg00251.html

It seems the variable tab-bar-mode should be frame-local.